import { WebSocket } from "ws";
export declare class YjsWebrtcController {
    private parser;
    private rooms;
    private subscribedTopics;
    constructor(parser: TokenParser);
    handleConnection(socket: WebSocket): Promise<void>;
    private GetRegistrationMessage;
}
export declare abstract class TokenParser {
    abstract Parse(token: string): Promise<{
        User: string;
        AccessMode: 'read' | 'write';
    }>;
}
